import { ElementRef, QueryList, AfterViewInit, EventEmitter } from '@angular/core';
import { MatMenuTrigger, MatMenu } from '@angular/material';
import { GrwitMenuItem } from './menu-item';
export declare class GrwitMenu implements AfterViewInit {
    class: string;
    menuRef: MatMenu;
    menuTrigger: MatMenuTrigger;
    trigger: ElementRef;
    menuItems: QueryList<GrwitMenuItem>;
    menuClosed: EventEmitter<void>;
    menuOpened: EventEmitter<void>;
    readonly menuClass: string;
    readonly isOpen: boolean;
    readonly isClose: boolean;
    triggerEl: ElementRef;
    extraClasses: string;
    ngAfterViewInit(): void;
    addClass(className: any): void;
    setTrigger(el: any): void;
    show($event: any): void;
    hide($event: any): void;
}
